com.thinkaurelius.titan.core.log

## Enum Change

- java.lang.Object
- - java.lang.Enum<Change>
  - - com.thinkaurelius.titan.core.log.Change

- All Implemented Interfaces:
    Serializable, Comparable<Change>

      public enum Change
      extends Enum<Change>

  Identifies the type of change has undergone. Used in `ChangeState` to retrieve those elements that have been changed in a certain way.

  `ADDED` applies to elements that have been added to the graph, `REMOVED` is for removed elements, and `ANY` is used to retrieve all elements that have undergone change.

  `ADDED` and `REMOVED` are considered proper change states.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED`
    `ANY`
    `REMOVED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isProper()`
    `static Change` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Change[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final Change ADDED

    - #### REMOVED

          public static final Change REMOVED

    - #### ANY

          public static final Change ANY

  - ### Method Detail

    - #### values

          public static Change[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Change c : Change.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Change valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isProper

          public boolean isProper()

Copyright © 2012–2014. All rights reserved.